uuid: 013a4dc7-d148-4321-916b-4905425635cf
langcode: en
status: true
dependencies:
  module:
    - drutopia_page
id: config_sync.module.drutopia_page
snapshotSet: config_sync
extensionType: module
extensionName: drutopia_page
items:
  -
    collection: ''
    name: core.base_field_override.node.page.promote
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.page
      id: node.page.promote
      field_name: promote
      entity_type: node
      bundle: page
      label: 'Promoted to front page'
      description: ''
      required: false
      translatable: false
      default_value:
        -
          value: 0
      default_value_callback: ''
      settings:
        on_label: 'On'
        off_label: 'Off'
      field_type: boolean
  -
    collection: ''
    name: core.entity_form_display.node.page.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.page.body
          - field.field.node.page.field_body_paragraph
          - field.field.node.page.field_meta_tags
          - field.field.node.page.field_summary
          - node.type.page
          - field.field.node.page.field_storyline
        module:
          - metatag
          - paragraphs
          - path
          - text
      id: node.page.default
      targetEntityType: node
      bundle: page
      mode: default
      content:
        created:
          type: datetime_timestamp
          weight: 4
          settings: {  }
          third_party_settings: {  }
          region: content
        field_body_paragraph:
          weight: 2
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: text
          third_party_settings: {  }
          type: entity_reference_paragraphs
          region: content
        field_meta_tags:
          weight: 6
          settings: {  }
          third_party_settings: {  }
          type: metatag_firehose
          region: content
        field_summary:
          weight: 1
          settings:
            rows: 5
            placeholder: ''
          third_party_settings: {  }
          type: text_textarea
          region: content
        path:
          type: path
          weight: 5
          settings: {  }
          third_party_settings: {  }
          region: content
        status:
          type: boolean_checkbox
          settings:
            display_label: true
          weight: 7
          region: content
          third_party_settings: {  }
        title:
          type: string_textfield
          weight: 0
          settings:
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        uid:
          type: entity_reference_autocomplete
          weight: 3
          settings:
            match_operator: CONTAINS
            size: 60
            placeholder: ''
          third_party_settings: {  }
          region: content
        field_storyline:
          type: entity_reference_paragraphs
          weight: 3
          settings:
            title: Paragraph
            title_plural: Paragraphs
            edit_mode: open
            add_mode: button
            form_display_mode: default
            default_paragraph_type: storyline_header
          third_party_settings: {  }
          region: content
      hidden:
        body: true
        promote: true
        sticky: true
  -
    collection: ''
    name: core.entity_view_display.node.page.default
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.field.node.page.body
          - field.field.node.page.field_body_paragraph
          - field.field.node.page.field_meta_tags
          - field.field.node.page.field_summary
          - node.type.page
        module:
          - ds
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions: {  }
      id: node.page.default
      targetEntityType: node
      bundle: page
      mode: default
      content: {  }
      hidden:
        body: true
        field_body_paragraph: true
        field_meta_tags: true
        field_summary: true
        links: true
  -
    collection: ''
    name: core.entity_view_display.node.page.full
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.full
          - field.field.node.page.body
          - field.field.node.page.field_body_paragraph
          - field.field.node.page.field_meta_tags
          - field.field.node.page.field_summary
          - node.type.page
          - field.field.node.page.field_storyline
        module:
          - ds
          - entity_reference_revisions
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            path: modules/contrib/ds
            library: ''
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - field_body_paragraph
              - links
              - field_storyline
      id: node.page.full
      targetEntityType: node
      bundle: page
      mode: full
      content:
        field_body_paragraph:
          weight: 1
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
          type: entity_reference_revisions_entity_view
          region: ds_content
        links:
          weight: 2
          settings: {  }
          third_party_settings: {  }
          region: ds_content
        field_storyline:
          type: entity_reference_revisions_entity_view
          weight: 1
          region: ds_content
          label: hidden
          settings:
            view_mode: default
            link: ''
          third_party_settings: {  }
      hidden:
        body: true
        field_meta_tags: true
        field_summary: true
  -
    collection: ''
    name: core.entity_view_display.node.page.teaser
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - core.entity_view_mode.node.teaser
          - field.field.node.page.body
          - field.field.node.page.field_body_paragraph
          - field.field.node.page.field_meta_tags
          - field.field.node.page.field_summary
          - node.type.page
        module:
          - ds
          - text
          - user
      third_party_settings:
        ds:
          layout:
            id: ds_1col
            library: null
            disable_css: false
            entity_classes: all_classes
            settings:
              wrappers:
                ds_content: div
              outer_wrapper: div
              attributes: ''
              link_attribute: ''
              link_custom: ''
              classes:
                layout_class: {  }
          regions:
            ds_content:
              - node_title
              - field_summary
          fields:
            node_title:
              plugin_id: node_title
              weight: 0
              label: hidden
              formatter: default
              settings:
                link: true
                wrapper: h2
                class: ''
      id: node.page.teaser
      targetEntityType: node
      bundle: page
      mode: teaser
      content:
        field_summary:
          type: text_default
          weight: 1
          label: hidden
          settings: {  }
          third_party_settings: {  }
          region: ds_content
      hidden:
        body: true
        field_body_paragraph: true
        field_meta_tags: true
        links: true
  -
    collection: ''
    name: field.field.node.page.body
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.body
          - node.type.page
        module:
          - text
      id: node.page.body
      field_name: body
      entity_type: node
      bundle: page
      label: Body
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        display_summary: true
      field_type: text_with_summary
  -
    collection: ''
    name: field.field.node.page.field_body_paragraph
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_body_paragraph
          - node.type.page
          - paragraphs.paragraphs_type.faq
          - paragraphs.paragraphs_type.file
          - paragraphs.paragraphs_type.image
          - paragraphs.paragraphs_type.slide
          - paragraphs.paragraphs_type.text
          - paragraphs.paragraphs_type.update
          - paragraphs.paragraphs_type.video
        module:
          - entity_reference_revisions
      id: node.page.field_body_paragraph
      field_name: field_body_paragraph
      entity_type: node
      bundle: page
      label: 'Body paragraph'
      description: ''
      required: false
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings:
        handler: 'default:paragraph'
        handler_settings:
          negate: 0
          target_bundles:
            text: text
            image: image
            file: file
            video: video
            slide: slide
            update: update
            faq: faq
          target_bundles_drag_drop:
            text:
              enabled: true
              weight: -15
            image:
              enabled: true
              weight: -14
            file:
              enabled: true
              weight: -13
            video:
              enabled: true
              weight: -12
            slide:
              enabled: true
              weight: -11
            update:
              enabled: true
              weight: -10
            faq:
              enabled: true
              weight: -9
      field_type: entity_reference_revisions
  -
    collection: ''
    name: field.field.node.page.field_meta_tags
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_meta_tags
          - node.type.page
        module:
          - metatag
      id: node.page.field_meta_tags
      field_name: field_meta_tags
      entity_type: node
      bundle: page
      label: 'Meta tags'
      description: ''
      required: false
      translatable: true
      default_value:
        -
          value: 'a:0:{}'
      default_value_callback: ''
      settings: {  }
      field_type: metatag
  -
    collection: ''
    name: field.field.node.page.field_summary
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - field.storage.node.field_summary
          - node.type.page
        module:
          - text
      id: node.page.field_summary
      field_name: field_summary
      entity_type: node
      bundle: page
      label: Summary
      description: 'Enter a short description of what this page is about. The summary is visible in certain displays.'
      required: true
      translatable: true
      default_value: {  }
      default_value_callback: ''
      settings: {  }
      field_type: text_long
  -
    collection: ''
    name: node.type.page
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - menu_ui
      third_party_settings:
        menu_ui:
          available_menus:
            - footer
            - main
          parent: 'main:'
      name: 'Basic page'
      type: page
      description: "Use <em>basic pages</em> for your static content, such as an 'About us' page."
      help: ''
      new_revision: true
      preview_mode: 1
      display_submitted: false
  -
    collection: ''
    name: pathauto.pattern.node_page
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - node
      id: node_page
      label: 'Node page'
      type: 'canonical_entities:node'
      pattern: '[node:title]'
      selection_criteria:
        2e17ea21-8c33-444d-981e-2a2df6651647:
          id: node_type
          bundles:
            page: page
          negate: false
          context_mapping:
            node: node
          uuid: 2e17ea21-8c33-444d-981e-2a2df6651647
      selection_logic: and
      weight: -5
      relationships: {  }
  -
    collection: ''
    name: rdf.mapping.node.page
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - node.type.page
        module:
          - node
      id: node.page
      targetEntityType: node
      bundle: page
      types:
        - 'schema:WebPage'
      fieldMappings:
        title:
          properties:
            - 'schema:name'
        created:
          properties:
            - 'schema:dateCreated'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        changed:
          properties:
            - 'schema:dateModified'
          datatype_callback:
            callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
        body:
          properties:
            - 'schema:text'
        uid:
          properties:
            - 'schema:author'
          mapping_type: rel
        comment_count:
          properties:
            - 'schema:interactionCount'
          datatype_callback:
            callable: 'Drupal\rdf\SchemaOrgDataConverter::interactionCount'
            arguments:
              interaction_type: UserComments
